Subject: bug#40098: 26.3; Emacs on Windows freezes when connecting to freeBSD host with Plink

From: Robert Pluim <[email-masked]>
Date: Tue, 17 Mar 2020 11:57:15 +0100

>>>>> On Tue, 17 Mar 2020 04:23:28 +0000, Matthew Grice <[email-masked]> said:

    Matthew> Good afternoon all,
    Matthew> When attempting to edit a file over ssh using Plink (Emacs is running on
    Matthew> Windows 10), the connecting spinner spins forever. To replicate:

    Matthew> C-x C-f /plink:matt@myfreebsdhost:~/ <TAB to get list of files in dired>

    Matthew> Emacs then starts to hog the CPU and has to be forced to close from the Task Manager.
    Matthew> I have no problems connecting to my Slackware production server using this
    Matthew> configuration.

    Matthew> I appreciate that the Windows platform might be unsupported but I
    Matthew> thought I'd raise the bug anyway.

This sounds like it could be Bug#39399, fixed in master by adding
'-noediting' to tramp-sh-extra-args for bash. If youʼre not using bash
on the remote host, you'll need to try out the whole change for that
bugfix, which is in that bug thread, or in git as commit 6b00600647

Robert